--- old/usr/src/lib/nsswitch/user/Makefile.com	2019-07-05 17:34:25.865335717 +0000
+++ new/usr/src/lib/nsswitch/user/Makefile.com	2019-07-05 17:34:25.883091268 +0000
@@ -22,9 +22,6 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-# lib/nsswitch/user/Makefile.com
 
 LIBRARY =	libnss_user.a
 VERS =		.1
@@ -38,10 +35,17 @@
 # install this library in the root filesystem
 include ../../../Makefile.rootfs
 
+DYNLIB1 =	nss_user.so$(VERS)
+
+COMPATLINKS=	/usr/lib/$(DYNLIB1)
+COMPATLINKS64=	/usr/lib/$(MACH64)/$(DYNLIB1)
+
+$(ROOT)/usr/lib/$(DYNLIB1) := COMPATLINKTARGET=../../lib/$(DYNLIB1)
+$(ROOT)/usr/lib/$(MACH64)/$(DYNLIB1) := \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/$(DYNLIB1)
+
 CPPFLAGS +=	-I../../../common/inc
 LINTFLAGS +=	-erroff=E_GLOBAL_COULD_BE_STATIC2 -erroff=E_FUNC_SET_NOT_USED
 LINTFLAGS64 +=	-erroff=E_GLOBAL_COULD_BE_STATIC2 -erroff=E_FUNC_SET_NOT_USED
 
-DYNLIB1 =	nss_user.so$(VERS)
-
 all: $(DYNLIB1)
